Subject: Re: [PATCH v7 0/9] config API: make "multi" safe, fix segfaults, propagate "ret"

From: Junio C Hamano <[email-masked]>
Date: Thu, 09 Mar 2023 12:46:20 -0800

Glen Choo <[email-masked]> writes:

> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
>
>> This series fixes numerous segfaults in config API users, because they
>> didn't expect *_get_multi() to hand them a string_list with a NULL in
>> it given config like "[a] key" (note, no "="'s).
>>
>> A larger general overview at v1[1], but note the API changes in
>> v2[2]. Changes since v6[3]:
>>
>>  * Glen pointed out that ejecting a commit in v6 orphaned a
>>    corresponding forward-reference in a commit message, fix that.
>
> Thanks for your patience with the rerolls :) I only spotted a minor
> comment issue [1] (which I think was what originally motivated v5?).
> IMO this will be mergeable once we reorder that comment.
>
> 1. https://lore.kernel.org/git/[email-masked]/

Thanks for carefully reading these patches.  I agree that this round
is in quite a good shape.